// ShitarabianPlugInTest.h: CShitarabianDllImp クラスのインターフェイス
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHITARABIANDLLIMP_INCLUDED_)
#define AFX_SHITARABIANDLLIMP_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ShitarabianPlugIn.h"
#include <afxtempl.h>
class	CDocumentIF;



class CShitarabianDllImp : public CShitarabianPlugIn  
{
public:
	CShitarabianDllImp();
	virtual ~CShitarabianDllImp();

	virtual void		OnLoad(CDocumentIF*	pDocIF);
	virtual void		OnSave(CDocumentIF*	pDocIF);

	virtual const char*		GetPlugInName();

	virtual void		OnDrawWall(
		CDocumentIF*	pDocIF,
		CDC*			pDstDC,
		int				iLeft,
		int				iTop,
		int				iWidth,
		int				iHeight
	){};

	// 設定ダイアログ
	virtual void		OnSetting(
		CDocumentIF*	pDocIF
	);

	// ツールボタン押下
	virtual void OnToolButton(
		CDocumentIF*	pDocIF,
		int				idxButton
	);
	virtual void OnToolButtonUI(
		CDocumentIF*	pDocIF,
		int				idxButton,
		CCmdUI*			pCmdUI
	);

	// キーが押されたときのハンドラ
	virtual void		OnKeyDown(
		CDocumentIF*	pDocIF,
		UCHAR*			punKey,
		BOOL*			pbShift,
		BOOL*			pbCtrl,
		BOOL*			pbAlt
	){};

	// キーが押されたときのハンドラ
	virtual void		OnChar(
		CDocumentIF*	pDocIF,
		CString*		pstrChar,
		BOOL*			pbShift,
		BOOL*			pbCtrl,
		BOOL*			pbAlt
	){};


	void	Load( CDocumentIF* pDocIF );
	void	Save( CDocumentIF* pDocIF );
	void	GetBitmap(
		CDocumentIF*	pDocIF,
		CBitmap*		pbmpMem
	);

protected:
	CString		m_strPaintExe;
	BOOL		m_bEmphasis;
	BOOL		m_bEnable;

};

#endif // !defined(AFX_SHITARABIANDLLIMP_INCLUDED_)
